Skip to main content

/cosmos/staking/v1beta1/delegators/{delegator_addr}/unbonding_delegations

GET

DelegatorUnbondingDelegations queries all unbonding delegations of a givendelegator address.
Path Parameters
delegator_addrstringrequired
delegator_addr defines the delegator address to query for.
Query Parameters
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
pagination.reverseboolean
Set to true to return results in descending order.
Responses
delegator_addressstring
delegator_address is the encoded address of the delegator.
validator_addressstring
Encoded address of the validator.
entries are the unbonding delegation entries.
creation_heightstring
creation_height is the height which the unbonding took place.
completion_timestring
completion_time is the unix time for unbonding completion.
initial_balancestring
initial_balance defines the tokens initially scheduled to receive at completion.
balancestring
balance defines the tokens to receive at completion.
unbonding_idstring
unbonding_on_hold_ref_countstring
pagination defines an pagination for the response.
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.
totalstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/unbonding_delegations' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'